<?php
/**
 *
 * @package   woo_affilbox
 * @author    Vladislav Musilek
 * @license   GPL-2.0+
 * @link      http://toret.cz.cz
 * @copyright 2014 Vladislav Musilek
 *
 * @wordpress-plugin
 * Plugin Name:       Woocommerce Affilbox
 * Plugin URI:        http://toret.cz
 * Description:       Affilbox měřící kód
 * Version:           1.3
 * Author:            Vladislav Musilek
 * Author URI:        http://toret.cz
 * Text Domain:       woo-affilbox
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/*----------------------------------------------------------------------------*
 * Public-Facing Functionality
 *----------------------------------------------------------------------------*/

require_once( plugin_dir_path( __FILE__ ) . 'public/class-woo-affilbox.php' );

/*
 * Register hooks that are fired when the plugin is activated or deactivated.
 * When the plugin is deleted, the uninstall.php file is loaded.
 */
register_activation_hook( __FILE__, array( 'Woo_Affilbox', 'activate' ) );
register_deactivation_hook( __FILE__, array( 'Woo_Affilbox', 'deactivate' ) );

add_action( 'plugins_loaded', array( 'Woo_Affilbox', 'get_instance' ) );

/*----------------------------------------------------------------------------*
 * Dashboard and Administrative Functionality
 *----------------------------------------------------------------------------*/

if ( is_admin() && ( ! defined( 'DOING_AJAX' ) || ! DOING_AJAX ) ) {

	require_once( plugin_dir_path( __FILE__ ) . 'admin/class-woo-affilbox-admin.php' );
	add_action( 'plugins_loaded', array( 'Woo_Affilbox_Admin', 'get_instance' ) );

}
